# Update beta RanInt.r
# ADDS random intercept 
# Function Inputs:
#	y  = N_k x 1 response vector 
#	X  = N_k x 2 design matrix (Linear Time)
#     b = n_k X 1 vector of random intercepts 
#	m0 = prior mean
#	prec0  = prior precision	
#	tau = normal error precision for class k
#
# Nov 12, 2009
##################################################  

update.beta<-function(y=y[C==k],X=X[C==k,],b=b[c==k],nis=nis[c==k],
			    m0=m0,prec0=prec0,tau=tau[k]) {
   n<-nrow(b)
   N<-length(y)
   vbeta<-solve(prec0+tau*crossprod(X,X))
   mbeta<-vbeta%*%(prec0%*%m0+tau*t(X)%*%(y-rep(b,nis))) 
   return(c(rmvnorm(1,mbeta,vbeta)))
}